about summary refs log tree commit diff
path: root/test/pbmtext-utf8.test
diff options
context:
space:
mode:
authorgiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2023-08-06 01:58:21 +0000
committergiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2023-08-06 01:58:21 +0000
commit3ac3ffc658517ae4591509ee17c1475ba698f24f (patch)
tree4e034553533fb6a6d9ca8cdfec15c9b39ae97578 /test/pbmtext-utf8.test
parent5e8f6c0a506db90a88ac975b7beb764568b4b980 (diff)
downloadnetpbm-mirror-3ac3ffc658517ae4591509ee17c1475ba698f24f.tar.gz
netpbm-mirror-3ac3ffc658517ae4591509ee17c1475ba698f24f.tar.xz
netpbm-mirror-3ac3ffc658517ae4591509ee17c1475ba698f24f.zip
Better reporting for invalid test cases; correction of need-Bash classification
git-svn-id: http://svn.code.sf.net/p/netpbm/code/trunk@4578 9d0c8265-081b-0410-96cb-a4ca84ce46f8
Diffstat (limited to 'test/pbmtext-utf8.test')
-rwxr-xr-xtest/pbmtext-utf8.test32
1 files changed, 16 insertions, 16 deletions
diff --git a/test/pbmtext-utf8.test b/test/pbmtext-utf8.test
index 9203607f..78dfaf9e 100755
--- a/test/pbmtext-utf8.test
+++ b/test/pbmtext-utf8.test
@@ -141,15 +141,15 @@ cat ${long_txt} | wc -c | tr -d ' '
 cat ${long_txt} | \
   LC_ALL=${locale_for_test} \
   pbmtext -nomargins -builtin fixed -wchar > ${test_out} || \
-  printf "Expected failure 1";
-  test -s ${test_out}; echo " "$?
+  printf "Expected failure 1 "
+  test -s ${test_out} && echo "unexpected output" || echo "(no output)"
   rm -f ${test_out}
 
 cat ${long_txt} | \
   LC_ALL=${locale_for_test} \
   pbmtext -nomargins -builtin fixed -wchar > ${test_out} || \
-  printf "Expected failure 2";
-  test -s ${test_out}; echo " "$?
+  printf "Expected failure 2 "
+  test -s ${test_out} && echo "unexpected output" || echo "(no output)"
   rm -f ${test_out}
 
 rm ${long_txt}
@@ -169,41 +169,41 @@ echo "Test 6 Invalid"
 awk 'BEGIN { printf("%c%c",128,129);  print ""}' | \
         LC_ALL=${locale_for_test} \
         pbmtext -builtin bdf -wchar -text-dump > ${test_out}
-  printf "6-1: ${PIPESTATUS[*]} : $?"
-  test -s ${test_out}; echo " "$?
+  printf "6-1: ${PIPESTATUS[*]} : $? "
+  test -s ${test_out} && echo "unexpected output" || echo "(no output)"
   rm -f ${test_out}
 
 awk 'BEGIN { printf("ABC%c%c",192, 193);  print ""}' | \
         LC_ALL=${locale_for_test} \
         pbmtext -builtin bdf -wchar -text-dump > ${test_out}
-  printf "6-2: ${PIPESTATUS[*]} : $?"
-  test -s ${test_out}; echo " "$?
+  printf "6-2: ${PIPESTATUS[*]} : $? "
+  test -s ${test_out} && echo "unexpected output" || echo "(no output)"
   rm -f ${test_out}
 
 awk 'BEGIN { printf("abcde%c%c", 254, 253);  print ""}' | \
         LC_ALL=${locale_for_test} \
         pbmtext -builtin bdf -wchar -text-dump > ${test_out}
-  printf "6-3: ${PIPESTATUS[*]} : $?"
-  test -s ${test_out}; echo " "$?
+  printf "6-3: ${PIPESTATUS[*]} : $? "
+  test -s ${test_out} && echo "unexpected output" || echo "(no output)"
   rm -f ${test_out}
 
 awk 'BEGIN { printf("abcdefg%c%c", 195, 15);  print ""}' | \
         LC_ALL=${locale_for_test} \
         pbmtext -builtin bdf -wchar -text-dump > ${test_out}
-  printf "6-4: ${PIPESTATUS[*]} : $?"
-  test -s ${test_out}; echo " "$?
+  printf "6-4: ${PIPESTATUS[*]} : $? "
+  test -s ${test_out} && echo "unexpected output" || echo "(no output)"
   rm -f ${test_out}
 
 awk 'BEGIN { printf("123456789%c%c%c", 224, 143 ,0);  print ""}' | \
         LC_ALL=${locale_for_test} \
         pbmtext -builtin bdf -wchar -text-dump > ${test_out}
-  printf "6-5: ${PIPESTATUS[*]} : $?"
-  test -s ${test_out}; echo " "$?
+  printf "6-5: ${PIPESTATUS[*]} : $? "
+  test -s ${test_out} && echo "unexpected output" || echo "(no output)"
   rm -f ${test_out}
 
 awk 'BEGIN { printf("abcdefg123ABCDEFG%c%c%c%c",247, 135, 135, 7);  print ""}' | \
         LC_ALL=${locale_for_test} \
         pbmtext -builtin bdf -wchar -text-dump > ${test_out}
-  printf "6-6: ${PIPESTATUS[*]} : $?"
-  test -s ${test_out}; echo " "$?
+  printf "6-6: ${PIPESTATUS[*]} : $? "
+  test -s ${test_out} && echo "unexpected output" || echo "(no output)"
   rm -f ${test_out}